Bug 988938 - Review Request: rubygem-orm_adapter - Provides a single point of entry for using basic features of ruby ORMs
Review Request: rubygem-orm_adapter - Provides a single point of entry for us...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lukas Bezdicka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 14:05 EDT by Achilleas Pipinellis
Modified: 2013-10-02 02:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: rubygem-orm_adapter-0.4.0-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-02 02:51:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
social: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Achilleas Pipinellis 2013-07-26 14:05:01 EDT
Spec URL: http://axilleas.fedorapeople.org/pkgs/rubygem-orm_adapter/rubygem-orm_adapter.spec
SRPM URL: http://axilleas.fedorapeople.org/pkgs/rubygem-orm_adapter/rubygem-orm_adapter-0.4.0-1.fc20.src.rpm

Description: Provides a single point of entry for using basic features of ruby ORMs
Fedora Account System Username: axilleas
Comment 1 Achilleas Pipinellis 2013-07-26 14:09:32 EDT
Forgot koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5661167
Comment 2 Lukas Bezdicka 2013-08-27 10:23:48 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[X] = Manual review needed


Issues:
=======
- gems should require rubygems package
  Note: Requires: rubygems missing in rubygem-orm_adapter-doc
  See: http://fedoraproject.org/wiki/Packaging:Ruby#RubyGems
- Package contains Requires: ruby(abi).
  See: http://fedoraproject.org/wiki/Packaging:Ruby#Ruby_ABI
- I don't see reason to have -doc package for README. This should be all in one.
  I also think that Rakefile and Gemspec aren't doc, are they?

===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[X]: Development files must be in a -devel package
[X]: Package requires other packages for directories it uses.
[?]: Package uses nothing in %doc for runtime.
[X]: Package is not known to require ExcludeArch.
[X]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     orm_adapter-doc
[X]: Package complies to the Packaging Guidelines
[X]: License field in the package spec file matches the actual license.
	MIT (but upstream should consider putting licence into every file)
[X]: License file installed when any subpackage combination is installed.
[X]: Package consistently uses macro is (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Package must own all directories that it creates.
[X]: Package does not own files or directories owned by other packages.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Ruby:
[-]: Platform dependent files must all go under %{gem_extdir}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[X]: Package functions as described.
[X]: Latest version is packaged.
[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[X]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[X]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Ruby:
[!]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %exclude %{gem_cache},
     %{gem_spec}, %{gem_libdir}
[!]: Test suite of the library should be run.
[x]: Gem package should exclude cached Gem.

===== EXTRA items =====
Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-orm_adapter-0.4.0-1.fc19.noarch.rpm
          rubygem-orm_adapter-doc-0.4.0-1.fc19.noarch.rpm
rubygem-orm_adapter-doc.noarch: W: spelling-error Summary(en_US) orm -> or, om, rm
rubygem-orm_adapter-doc.noarch: W: spelling-error %description -l en_US orm -> or, om, rm
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-orm_adapter rubygem-orm_adapter-doc
rubygem-orm_adapter-doc.noarch: W: spelling-error Summary(en_US) orm -> or, om, rm
rubygem-orm_adapter-doc.noarch: W: spelling-error %description -l en_US orm -> or, om, rm
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-orm_adapter (rpmlib, GLIBC filtered):
    ruby(release)
    ruby(rubygems)

rubygem-orm_adapter-doc (rpmlib, GLIBC filtered):
    rubygem-orm_adapter



Provides
--------
rubygem-orm_adapter:
    rubygem(orm_adapter)
    rubygem-orm_adapter

rubygem-orm_adapter-doc:
    rubygem-orm_adapter-doc



Source checksums
----------------
https://rubygems.org/gems/orm_adapter-0.4.0.gem :
  CHECKSUM(SHA256) this package     : 0f98cadd36222869f80fbb562e6e4f59cc7166caa4ce5dd5aad7e9e67b449ac5
  CHECKSUM(SHA256) upstream package : 0f98cadd36222869f80fbb562e6e4f59cc7166caa4ce5dd5aad7e9e67b449ac5


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-19-x86_64
Command line :/usr/bin/fedora-review -b 988938
Comment 3 Achilleas Pipinellis 2013-08-27 13:59:02 EDT
(In reply to Lukas Bezdicka from comment #2)
> Issues:
> =======
> - gems should require rubygems package
>   Note: Requires: rubygems missing in rubygem-orm_adapter-doc
>   See: http://fedoraproject.org/wiki/Packaging:Ruby#RubyGems

False positive. It does require rubygems. 

> - Package contains Requires: ruby(abi).
>   See: http://fedoraproject.org/wiki/Packaging:Ruby#Ruby_ABI

False positive. Does not contain ruby(abi).

> - I don't see reason to have -doc package for README. This should be all in
> one.

In -doc there are also, History.txt, Gemfile, Rakefile and tests.

>   I also think that Rakefile and Gemspec aren't doc, are they?

You are right, they are not directly documentation, as the doc subpackage suggests, but I thought it would be ok to include these in case they would seem useful to someone. I excluded them.


Those two below are false positives.

> Ruby:
> [!]: Specfile should use macros from rubygem-devel package.
>      Note: The specfile doesn't use these macros: %exclude %{gem_cache},
>      %{gem_spec}, %{gem_libdir}

Macros are included.

> [!]: Test suite of the library should be run.

Test suite is running.

SPEC: http://axilleas.fedorapeople.org/pkgs/rubygem-orm_adapter/rubygem-orm_adapter.spec
SRPM: http://axilleas.fedorapeople.org/pkgs/rubygem-orm_adapter/rubygem-orm_adapter-0.4.0-2.fc19.src.rpm
Comment 4 Lukas Bezdicka 2013-08-29 07:08:08 EDT
I take your points, APPROVED.
Comment 5 Lubomir Rintel 2013-09-03 13:09:55 EDT
Axilleas: ping
Comment 6 Achilleas Pipinellis 2013-09-16 11:25:00 EDT
Hi, sorry for the delay!! It seems I must have deleted by mistake the mails sent to me. Thanks again for the review :)

New Package SCM Request
=======================
Package Name: rubygem-orm_adapter
Short Description: Provides a single point of entry for using basic features of ruby ORMs
Owners: axilleas
Branches: f19 f20
InitialCC:
Comment 7 Gwyn Ciesla 2013-09-16 12:24:39 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2013-09-22 16:11:23 EDT
rubygem-orm_adapter-0.4.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-orm_adapter-0.4.0-2.fc19
Comment 9 Fedora Update System 2013-09-22 16:26:57 EDT
rubygem-orm_adapter-0.4.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-orm_adapter-0.4.0-2.fc20
Comment 10 Fedora Update System 2013-09-23 20:22:29 EDT
rubygem-orm_adapter-0.4.0-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 11 Fedora Update System 2013-10-02 02:51:38 EDT
rubygem-orm_adapter-0.4.0-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 12 Fedora Update System 2013-10-02 02:55:42 EDT
rubygem-orm_adapter-0.4.0-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.